Package org.eclipse.e4.ui.css.core.impl.dom

# Class CSSValueListImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode
org.eclipse.e4.ui.css.core.impl.dom.CSSValueListImpl

All Implemented Interfaces:
  `CSSValue`, `CSSValueList`

public class CSSValueListImpl extends AbstractCSSNode implements CSSValueList

## Field Summary

### Fields inherited from interface org.w3c.dom.css.CSSValue

`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

## Constructor Summary

Constructors
Constructor
Description
`CSSValueListImpl(org.w3c.css.sac.LexicalUnit parsePropertyValue)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCssText()`
`short`
`getCssValueType()`
`int`
`getLength()`
`CSSValue`
`item(int index)`
`void`
`setCssText(String arg0)`
`String`
`toString()`

### Methods inherited from class org.eclipse.e4.ui.css.core.impl.dom.AbstractCSSNode

`getCSSParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CSSValueListImpl

public CSSValueListImpl(org.w3c.css.sac.LexicalUnit parsePropertyValue)

## Method Details

### getLength

public int getLength()

Specified by:
  `getLength` in interface `CSSValueList`

### item

public CSSValue item(int index)

Specified by:
  `item` in interface `CSSValueList`

### getCssText

public String getCssText()

Specified by:
  `getCssText` in interface `CSSValue`

### getCssValueType

public short getCssValueType()

Specified by:
  `getCssValueType` in interface `CSSValue`

### setCssText

public void setCssText(String arg0) throws DOMException

Specified by:
  `setCssText` in interface `CSSValue`
Throws:
  `DOMException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`